> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pachtify360.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a position



## OpenAPI

````yaml /openapi.yaml put /pachtkonten/{id}/positionen/{posId}
openapi: 3.1.0
info:
  title: Api
  version: 2.1.4
  description: Pachtify360 API specification
servers:
  - url: /api
    description: Base API path
security:
  - cookieAuth: []
tags:
  - name: health
    description: Health operations
  - name: pachtkonten
    description: Lease account management
  - name: patchobjekte
    description: Patch object management
  - name: kontakte
    description: Contact management
  - name: abrechnung
    description: Billing and invoicing
  - name: audit
    description: Audit log management
  - name: dashboard
    description: Dashboard summary data
  - name: duplikate
    description: Duplicate detection and merge
  - name: einstellungen
    description: Application settings
paths:
  /pachtkonten/{id}/positionen/{posId}:
    put:
      tags:
        - pachtkonten
      summary: Update a position
      operationId: updatePachtkontoPosition
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: integer
        - in: path
          name: posId
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePachtkontoPositionBody'
      responses:
        '200':
          description: Updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PachtkontoPosition'
components:
  schemas:
    UpdatePachtkontoPositionBody:
      type: object
      properties:
        positionsartId:
          type: integer
        menge:
          type: number
          nullable: true
        einheit:
          type: string
          nullable: true
        preisEinheit:
          type: number
          nullable: true
        flaeche:
          type: number
          nullable: true
        grundbetrag:
          type: number
          nullable: true
        rate:
          type: number
          nullable: true
        berechnung:
          type: string
          nullable: true
        betrag:
          type: number
          nullable: true
    PachtkontoPosition:
      type: object
      properties:
        id:
          type: integer
        pachtkontoId:
          type: integer
        positionsartId:
          type: integer
        positionsart:
          type: object
          properties:
            id:
              type: integer
            name:
              type: string
            istHebegebuehrpflichtig:
              type: boolean
          required:
            - id
            - name
            - istHebegebuehrpflichtig
        menge:
          type: number
          nullable: true
        einheit:
          type: string
          nullable: true
        preisEinheit:
          type: number
          nullable: true
        preisPauschal:
          type: number
          nullable: true
        flaeche:
          type: number
          nullable: true
        grundbetrag:
          type: number
          nullable: true
        rate:
          type: number
          nullable: true
        berechnung:
          type: string
          nullable: true
        betrag:
          type: number
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - pachtkontoId
        - positionsartId
        - positionsart
        - createdAt
        - updatedAt
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: pachtify360.sid
      description: Serverseitige Anwendungssitzung nach Microsoft-Anmeldung.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.